#ifndef __LOG_API_H
#define __LOG_API_H

#include "at32f403a_407.h"
#include "ringfs.h"
#include <stdbool.h>


//
int log_get_archive_entry(uint32_t index, struct ringfs *fs, void *entry);

//
int log_get_log_entry(uint32_t index, struct ringfs *fs, void *entry);

//
int mb_archive_get_entry(uint8_t *buf, uint8_t ch, uint16_t entry_index);

//
int mb_log_get_entry(uint8_t *buf, uint16_t entry_index);

#endif /* __LOG_API_H */
